/*

Custom Slider CSS

*/

.custom-slider {
    overflow: hidden !important;
    background: var(--awb-custom_color_2);
}

.custom-slider .fusion-builder-row {
    position: static !important;
}

.custom-slider .custom-slide {
    position: absolute !important;
    left: 0 !important;
    top: 0 !important;
    width: 100% !important;
    height: 100% !important;
    z-index: 0;
    opacity: 0;
    transition: 0.3s ease-in-out;
}

.custom-slider .custom-slide .fusion-column-wrapper > div,
.custom-slider .custom-slide .fusion-column-wrapper > div > span,
.custom-slider .custom-slide .fusion-column-wrapper div > span > img {
    width: 100% !important;
    height: 100% !important;
}

.custom-slider .custom-slide .fusion-column-wrapper div > span > img,
.custom-slider2 .custom-slide2 .fusion-column-wrapper div > span > img {
    object-fit: cover !important;
}

.custom-slider .custom-slide.active {
    z-index: 10;
    opacity: 1;
}

.custom-slider .custom-slider-content,
.custom-slider .custom-slider-content>div.fusion-column-wrapper{
    z-index: 999;
}

.custom-slider .custom-slide .fusion-column-wrapper {
    margin: 0 !important;
    display: flex !important;
    flex-direction: row !important;
    align-items: center;
}

.custom-slider .custom-slide .fusion-column-wrapper:after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(
        180deg,
        rgba(13, 13, 15, 0.8) 0%,
        rgba(67, 69, 73, 0.4) 100%
    );
    z-index: 1;
}


.slider-nav-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    padding: 20px 15px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -60px;
}
.slider-nav-btn {
    transform: scale(0.7);
    width: 10px;
    height: 10px;
    position: relative;
    display: inline-block;
    border-radius: 50%;
    transition: 0.15s ease-out;
    cursor: pointer;
}
.slider-nav-btn:not(:last-of-type) {
    margin-right: 10px;
}
.slider-nav-btn.active {
    transform: scale(1);
}

.slider-nav-btn {
    background: rgba(255, 255, 255, 0.5) !important;
}

.slider-nav-btn.active:before {
    background: var(--awb-custom_color_1) !important;
}

.slider-nav-btn:before {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    content: "";
    background: rgba(255, 255, 255, 0);
    border-radius: 50%;
    transform: scale(0);
    transition: 0.15s ease-in-out;
}

.slider-nav-btn.active:before {
    transform: scale(1);
}

.slider-nav-btn:not(.active):hover:before {
    background: rgba(255, 255, 255, 0.8);
    transform: scale(1);
}

.custom-slider {
    position: relative;
}


/*

Custom Slider 2 CSS

*/

.custom-slider2 {
    overflow: hidden !important;
    background: var(--awb-custom_color_2);
}

.custom-slider2 .fusion-builder-row {
    position: static !important;
}

.custom-slider2 .custom-slide2 {
    position: absolute !important;
    left: 0 !important;
    top: 0 !important;
    width: 100% !important;
    height: 100% !important;
    z-index: 0;
    opacity: 0;
    transition: 0.3s ease-in-out;
}

.custom-slider2 .custom-slide2 .fusion-column-wrapper > div,
.custom-slider2 .custom-slide2 .fusion-column-wrapper > div > span,
.custom-slider2 .custom-slide2 .fusion-column-wrapper div > span > img {
    width: 100% !important;
    height: 100% !important;
}

.custom-slider2 .custom-slide .fusion-column-wrapper div > span > img {
    object-fit: cover !important;
}

.custom-slider2 .custom-slide2.active {
    z-index: 10;
    opacity: 1;
}

.custom-slider2 .custom-slider-content2,
.custom-slider2 .custom-slider-content2>div.fusion-column-wrapper {
    z-index: 999;
}

.custom-slider2 .custom-slide2 .fusion-column-wrapper {
    margin: 0 !important;
    display: flex !important;
    flex-direction: row !important;
    align-items: center;
}

.custom-slider2 .custom-slide2 .fusion-column-wrapper:after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(
        180deg,
        rgba(13, 13, 15, 0.8) 0%,
        rgba(67, 69, 73, 0.4) 100%
    );
    z-index: 1;
}


.slider-nav-wrapper2 {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    padding: 20px 15px;
    position: absolute;
    bottom: -60px;
}
.slider-nav-btn2 {
    transform: scale(0.7);
    width: 10px;
    height: 10px;
    position: relative;
    display: inline-block;
    border-radius: 50%;
    transition: 0.15s ease-out;
    cursor: pointer;
}
.slider-nav-btn2:not(:last-of-type) {
    margin-right: 10px;
}
.slider-nav-btn2.active {
    transform: scale(1);
}

.slider-nav-btn2 {
    background: rgba(255, 255, 255, 0.5) !important;
}

.slider-nav-btn2.active:before {
    background: var(--awb-custom_color_1) !important;
}

.slider-nav-btn2:before {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    content: "";
    background: rgba(255, 255, 255, 0);
    border-radius: 50%;
    transform: scale(0);
    transition: 0.15s ease-in-out;
}

.slider-nav-btn2.active:before {
    transform: scale(1);
}

.slider-nav-btn2:not(.active):hover:before {
    background: rgba(255, 255, 255, 0.8);
    transform: scale(1);
}

.custom-slider2 {
    position: relative;
}

@media screen and (max-width: 1024px) {
    .galerie-img__wrapper{
        display: block !important;
    }
    
    .galerie-img__wrapper .fusion-layout-column .fusion-imageframe img{
        max-height: 450px;
        max-width: 97%;
    }
}

@media screen and (max-width: 640px) {
    .logo{
        max-width: 200px !important;
    }
}

/*----------------------------------------------------------------------------------------------------------------------*/




/* CUSTOM SLIDER 2 FACELIFT */

/* horizontalni sloupec vlevo dole */
/* #slider2.slider_facelift::before, */
.custom-slider2 .custom-slider-content3::before {
/*     content: "";
    position: absolute;
    bottom: -25px;
    left: 0;
    background: var(--awb-color5);
    background-size: cover;
    width: 52%;
    height: 130px;
    z-index: 10; */
    content: "";
    position: absolute;
    bottom: -50px;
    /* left: -21%; */
    background: var(--awb-color5);
    background-size: cover;
    /* width: 83%; */
    height: 130px;
    z-index: 10;
    left: calc( ( 100vw - var(--site_width) ) / 2 * (-1) );
    width: calc( ( 100vw - var(--site_width) ) / 2 + 60%);
}

/* vertikalni sloupec vlevo dole */
.custom-slider2 .custom-slide3::before {
    content: "";
    position: absolute;
    bottom: 0px;
    left: 0;
    background: var(--awb-color5);
    background-size: cover;
    width: 130px;
    height: 35%;
    z-index: 11;
} 
 
.custom-slider2 .custom-slide3::after {
    content: "";
    position: absolute;
    top: 0px;
    right: 0;
    background: var(--awb-color5);
    background-size: cover;
    width: 130px;
    height: 50%;
    z-index: 11;
}

/* left column - title + arrows nav */
.custom-slider-content-left_col {
    min-height: 470px;
    position: relative;
    filter: blur(5px); 
    transition: filter 1s; 
}

/* right column - content + btn */
.custom-slider-content-right_col {
    min-height: 500px;
    position: relative;
    filter: blur(5px); 
    transition: filter 1s; 
}

#slider2.slider_facelift > .fusion-column-wrapper::after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(0deg, rgba(13, 13, 15, 0.9) 0%, rgba(67, 69, 73, 0.5) 100% );
    z-index: 1;
}




.custom-slider2 .custom-slide3 .fusion-column-wrapper::after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: linear-gradient(0deg, rgba(13, 13, 15, 0.9) 0%, rgba(67, 69, 73, 0.5) 100% );
    z-index: 1;
}

.controls {
	/* height: 100%; */
/* 	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translateX(-50%) translateY(-50%);
	-ms-transform: translateX(-50%) translateY(-50%);
	transform: translateX(-50%) translateY(-50%);
	z-index: 100; */
}

.arrows {
	position: relative!important;
/* 	max-width: var(--site_width)!important;
	width: 100%!important; */
	display: -webkit-box!important;
	display: -ms-flexbox!important;
	display: flex!important;
	-webkit-box-orient: horizontal!important;
	-webkit-box-direction: normal!important;
	-ms-flex-flow: row wrap!important;
	flex-flow: row wrap!important;
	-webkit-box-pack: justify!important;
	-ms-flex-pack: justify!important;
	justify-content: flex-start!important;
	align-items: flex-end;
	align-self: flex-end;
	/* margin: 0 auto!important; */
	padding: 0 20px!important;
	z-index: 100;
	height: 100%;
	gap: 50px;
	margin-bottom: 15px;
  margin-right: 15px;
}

.arrow-prev2 svg,
.arrow-next2 svg {
	width: auto;
	height: 56px !important;
	/* velikost šipek */
	cursor: pointer;
	opacity: 0.5;
	-webkit-transition: 0.25s ease all;
	-o-transition: 0.25s ease all;
	transition: 0.25s ease all;
	fill: var(--awb-color2);
	/* barva šipek */
}

.arrow-prev2:hover svg,
.arrow-next2:hover svg {
	opacity: 1;
}

.arrow-next2 svg {
	-webkit-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	transform: rotate(180deg);
}

  /* Styl pro kruhový progress bar */
  #progress-container {
    position: absolute;
    bottom: -20px;
    right: -235px;
    z-index: 100;
  }
  
  #progress-circle {
    transform: rotate(-90deg); /* Aby kruh začal nahoře */
  }
  
  #progress-circle circle {
    fill: none;
    stroke-width: 5;
  }
  
  #progress-circle circle:nth-child(1) {
    stroke: var(--awb-color1); /* Pozadí progress baru */
    opacity: 0.2;
  }
  
  #progress-circle #progress {
    stroke: var(--awb-color5);
    stroke-dasharray: 283; /* 2 * π * 45 (obvod kruhu) */
    stroke-dashoffset: 283; /* Plný offset, kruh není viditelný */
    transition: stroke-dashoffset 5s linear;
  }
  
/* @respo */

/* laptop */
@media screen and (max-width: 1366px) and (min-width: 1025px) {
    div.custom-slider-content3 .fusion-column-wrapper {
        padding: var(--awb-padding-top) var(--awb-padding-right) var(--awb-padding-bottom) var(--awb-padding-left)!important;
    
    }

    div.custom-slider-content-left_col {
        padding-left: 30px;
    }
}


/* tablet */
  @media screen and (max-width: 1024px) {
    .custom-slider2 .custom-slider-content3::before {
        content: "";
        position: absolute;
        bottom: -50px;
        left: -21%;
        background: var(--awb-color5);
        background-size: cover;
        width: 83%;
        height: 130px;
        z-index: 10; 
    }

    .custom-slider-content-right_col_text p {
        text-shadow: 2px 2px 2px black;
    }

    #progress-container {
      right: 50px;
    }
}

/* mobile */
@media screen and (max-width: 640px) {
/* left column - title + arrows nav */
.custom-slider-content-left_col {
    min-height: auto;
    z-index: 20;
}

/* hide barevny pruhy */

.custom-slider2 .custom-slide3::before,
.custom-slider2 .custom-slide3::after,
.custom-slider2 .custom-slider-content3::before {
    display: none;
}

/* .custom-slider2 .custom-slider-content3::before {
        content: "";
        position: absolute;
        bottom: -25px;
        left: -21%;
        background: var(--awb-color5);
        background-size: cover;
        width: 83%;
        height: 130px;
        z-index: 10; 
    } */

/* right column - content + btn */
.custom-slider-content-right_col {
    min-height: auto;
    z-index: 20;
}

/* progress bar */
#progress-container {
    position: absolute;
    bottom: 0px;
    right: 30px;
    z-index: 100;
  }

}

/* on mobile */


/* Dynamické odsazení pro obrazovky nad 1550px */
/* @media (min-width: 1551px) {
    .arrows {
      padding-left: calc((100vw - var(--site_width)) / 2 + 130px) !important;
    }
  } */
  
  /* Fixní odsazení 130px zleva pro obrazovky mezi 1124px a 1550px */
  @media (max-width: 1550px) and (min-width: 1124px) {
    .arrows {
      padding-left: 130px !important;
    }
  }
  

.custom-slider2 .custom-slider-content3 .fusion-column-wrapper {

    padding-top: 150px !important;
}